Bug 1120857 - Review Request: golang-github-mreiferson-go-httpclient - A Go HTTP client library
Summary: Review Request: golang-github-mreiferson-go-httpclient - A Go HTTP client lib...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1047194
TreeView+ depends on / blocked
 
Reported: 2014-07-17 21:27 UTC by Colin Walters
Modified: 2014-10-14 04:31 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-22 08:06:19 UTC
lsm5: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
tweaks on layout (2.14 KB, text/plain)
2014-09-10 17:43 UTC, Vincent Batts
no flags Details

Description Colin Walters 2014-07-17 21:27:48 UTC
Spec URL: golang-github-mreiferson-go-httpclient.spec
SRPM URL: I'm trying to avoid duplication, use git clone
Description: It's in the spec
Fedora Account System Username: walters

Comment 2 Eric Paris 2014-09-09 15:38:03 UTC
Jan, Is this the latest git location of the spec file

Comment 3 Jan Chaloupka 2014-09-10 07:39:15 UTC
Eric, yes, it is.

$ rpmlint golang-github-mreiferson-go-httpclient.spec
golang-github-mreiferson-go-httpclient.spec:30: W: setup-not-quiet

Vincent, I guess

* preserve timestamps of source copied

is still valid here. Otherwise, the tarball contains only:
$ ls
httpclient.go  httpclient_test.go  LICENSE  README.md

Comment 4 Vincent Batts 2014-09-10 17:43:17 UTC
Created attachment 936275 [details]
tweaks on layout

comments to accommodate the attached patch:
* %{gopath} is provided by the golang rpm
* exclusivearch to have this not build on the ppc and s390 builders
* sane version constaints
* this -devel is noarch
* preserve time on source
* include tests
* removing the directories that are owned by the golang rpm
* include the version in the changelog

Comment 5 Jan Chaloupka 2014-09-11 07:00:44 UTC
$ rpmlint golang-github-mreiferson-go-httpclient.spec
golang-github-mreiferson-go-httpclient.spec:30: W: setup-not-quiet
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

Patch + rpmlint warnings applied. Pull request created.

Comment 6 Jan Chaloupka 2014-09-16 16:15:48 UTC
Spec URL: https://jchaloup.fedorapeople.org/reviews/golang-github-mreiferson-go-httpclient/golang-github-mreiferson-go-httpclient.spec

SRPM URL: https://jchaloup.fedorapeople.org/reviews/golang-github-mreiferson-go-httpclient/golang-github-mreiferson-go-httpclient-0-0.0.gitc121dfe.fc21.src.rpm

Description: A Go HTTP client library

$ rpmlint /root/rpmbuild/SRPMS/golang-github-mreiferson-go-httpclient-0-0.0.gitc121dfe.fc21.src.rpm /root/rpmbuild/RPMS/noarch/golang-github-mreiferson-go-httpclient-devel-0-0.0.gitc121dfe.fc21.noarch.rpm golang-github-mreiferson-go-httpclient.spec 
golang-github-mreiferson-go-httpclient.src: W: spelling-error %description -l en_US librarys -> library, library's, library s
golang-github-mreiferson-go-httpclient.src:38: W: macro-in-comment %check
golang-github-mreiferson-go-httpclient.src:39: W: macro-in-comment %{buildroot}
golang-github-mreiferson-go-httpclient.src:39: W: macro-in-comment %{gopath}
golang-github-mreiferson-go-httpclient.src:39: W: macro-in-comment %{gopath}
golang-github-mreiferson-go-httpclient.src:39: W: macro-in-comment %{import_path}
golang-github-mreiferson-go-httpclient.spec:38: W: macro-in-comment %check
golang-github-mreiferson-go-httpclient.spec:39: W: macro-in-comment %{buildroot}
golang-github-mreiferson-go-httpclient.spec:39: W: macro-in-comment %{gopath}
golang-github-mreiferson-go-httpclient.spec:39: W: macro-in-comment %{gopath}
golang-github-mreiferson-go-httpclient.spec:39: W: macro-in-comment %{import_path}
2 packages and 1 specfiles checked; 0 errors, 11 warnings.

Initial commit by Colin Walters

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=7592220

%check commented so we can enable the test in future, now it fails to check in koji.

Comment 7 Lokesh Mandvekar 2014-09-19 11:22:52 UTC
%check is likely gonna fail in koji:

+ go test github.com/mreiferson/go-httpclient
--- FAIL: TestHttpsConnection (1.00 seconds)
	httpclient_test.go:93: 1st request failed - Get https://httpbin.org/ip: dial tcp: i/o timeout
FAIL
FAIL	github.com/mreiferson/go-httpclient	3.963s
error: Bad exit status from /var/tmp/rpm-tmp.OK8Fqh (%check)

Comment 8 Lokesh Mandvekar 2014-09-19 12:35:46 UTC
Hey Vincent, I'm kinda bored and finishing up the review for this :). It's pretty much done anyway.

Comment 9 Lokesh Mandvekar 2014-09-19 12:38:23 UTC
Vincent, btw, I don't think we need "ExclusiveArch:  %{go_arches} noarch" in the main package. We could just have BuildArch: noarch in the devel package for now.

Also, aren't %{go_arches} and noarch contradictory?

Comment 11 Lokesh Mandvekar 2014-09-19 17:23:48 UTC
LGTM.

specfile follows golang packaging draft guidelines: https://fedoraproject.org/wiki/PackagingDrafts/Go

Comment 12 Jan Chaloupka 2014-09-19 17:28:28 UTC
New Package SCM Request
=======================
Package Name: golang-github-mreiferson-go-httpclient
Short Description: A Go HTTP client library
Upstream URL: https://github.com/mreiferson/go-httpclient/
Owners: jchaloup lsm5 vbatts
Branches: f21 f20 f19 el6
InitialCC: golang-sig

Comment 13 Gwyn Ciesla 2014-09-19 19:08:35 UTC
Git done (by process-git-requests).

Comment 14 Fedora Update System 2014-09-22 08:03:56 UTC
golang-github-mreiferson-go-httpclient-0-0.1.gitc121dfe.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-github-mreiferson-go-httpclient-0-0.1.gitc121dfe.fc20

Comment 15 Fedora Update System 2014-09-22 08:05:02 UTC
golang-github-mreiferson-go-httpclient-0-0.1.gitc121dfe.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-github-mreiferson-go-httpclient-0-0.1.gitc121dfe.fc21

Comment 16 Fedora Update System 2014-10-01 04:18:58 UTC
golang-github-mreiferson-go-httpclient-0-0.1.gitc121dfe.fc21 has been pushed to the Fedora 21 stable repository.

Comment 17 Fedora Update System 2014-10-14 04:31:40 UTC
golang-github-mreiferson-go-httpclient-0-0.1.gitc121dfe.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.